import service from "@/utils/axios";
import { localBaseUrl } from "@/constant";

// 任务数据 设备列表
export const getTaskDataClassList = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/TaskDataClass_List`,
    data,
  });
};

// 任务数据（列表）
export const checkTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Check`,
    data,
  });
};

// 任务数据（提取数据）
export const extractTaskData = (data) => {
  return service.request({
    method: "POST",
    url: "/TaskData/Extract_TaskData",
    data,
  });
};

// 设备分类-设备列表（列表）
export const getTaskDataList = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/List`,
    data,
  });
};

// 更新线上数据
export const updateTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Up_TaskData`,
    data,
  });
};

// 任务数据（添加）
export const addTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Add`,
    data,
  });
};

// 任务数据（编辑）
export const editTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Up`,
    data,
  });
};

// 任务数据（编辑）
export const deleteTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Del`,
    data,
  });
};

// 任务数据（导出excel）
export const exportTaskData = (data) => {
  return service.request({
    method: "POST",
    url: `${localBaseUrl}/TaskData/Export_Data_Excel`,
    data,
  });
};
