import service from "@/utils/axios";

// 设备分类-设备列表（列表）
export const getDeviceClassListList = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/List",
    data,
  });
};

// 设备分类-设备列表（添加）
export const addDeviceClassList = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/Add",
    data,
  });
};

// 设备分类-设备列表（编辑）
export const editDeviceClassList = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/Up",
    data,
  });
};

// 设备分类-设备列表（删除）
export const deleteDeviceClassList = (data) => {
  return service.request({
    method: "POST",
    url: "/DeviceClassList/Del",
    data,
  });
};
